bgpPrefix
Configuration for bgpPrefix resource.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| ASPath | <String> | Read-write | The set of ASes that must be traversed to reach the network |
| addressFamily | <String> | Read-write | The address family of the route.
Possible values: ipv4, ipv6
|
| attrOrigin | <String> | Read-write | The ultimate origin of the path information.
Possible values: IGP, EGP, incomplete
|
| best | <Boolean> | Read-write | Indicates if this is the best route for the prefix. |
| lastUpdate | <String> | Read-write | Time of last update for the prefix |
| localPref | <Integer> | Read-write | The originating BGP4 speaker's degree of preference for an advertised route |
| multiExitDisc | <Integer> | Read-write | This metric is used to discriminate between multiple exit points to an adjacent autonomous system. |
| nextHop | <String> | Read-write | IP gateway address |
| peerAddress | <String> | Read-write | The address of the peer router from which the route was learnt. |
| prefix | <String> | Read-write | IP destination prefix. |
| prefixLen | <Integer> | Read-write | IP destination prefix length. |
Operations
(click to see Properties )
- GET
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/bgpPrefix?args=addressFamily:<String> URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/bgpPrefix?args=prefix:<String>,addressFamily:<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/bgpPrefix ?args=prefix:<String>,addressFamily:<String>
Use this query-parameter to get bgpPrefix resources based on additional properties.
HTTP Method: GET
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Payload:
{ "routerDynamicRouting": {
"bgpPrefix" : [{
"ASPath" : <String>,
"addressFamily" : <String>,
"attrOrigin" : <String>,
"best" : <Boolean>,
"lastUpdate" : <String>,
"localPref" : <Integer>,
"multiExitDisc" : <Integer>,
"nextHop" : <String>,
"peerAddress" : <String>,
"prefix" : <String>,
"prefixLen" : <Integer>
}]
}}